Subject: Re: bug: hard links to soft links do not work
From: Sam Steingold <[email-masked]>
To: [email-masked]
Date: 01 Aug 2002 14:35:43 -0400
Newsgroups: gmane.os.cygwin

> * In message <[email-masked]>
> * On the subject of "Re: bug: hard links to soft links do not work"
> * Sent on Thu, 1 Aug 2002 14:24:16 -0400
> * Honorable Christopher Faylor <[email-masked]> writes:
>
> On Thu, Aug 01, 2002 at 02:19:11PM -0400, Sam Steingold wrote:
> >cygwin does not handle hard and soft links together:
> >
> >$ echo "foo" > foo
> >$ ln foo 1
> >$ cat 1
> >foo                             ; GOOD!
> >$ ln -s 1 2
> >$ cat 2
> >foo                             ; GOOD!
> >$ ln 2 3
> >$ cat 3
> ><some binary data instead of "foo">
> >$
> >
> >I.e., hard links to soft links do not work.
> 
> Funny, when I try this on linux, I get:
> 
>   % ln 2 3
>   ln: `2': warning: making a hard link to a symbolic link is not portable

indeed - but it works on linux as expected.
cygwin should either barf of DTRT.
I take your reply to mean that this is not getting changed.
Thanks.

-- 
Sam Steingold (http://www.podval.org/~sds) running RedHat7.3 GNU/Linux
<http://www.camera.org> <http://www.iris.org.il> <http://www.memri.org/>
<http://www.mideasttruth.com/> <http://www.palestine-central.com/links.html>
Booze is the answer. I can't remember the question.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/